<meta charset="UTF-8" />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 05/12/2016             <br />
# @Version : 3.1.13        	 	 <br />
#################################<br />

<br />
<u>Update:</u><br />
- Favicons: Mise à jour des favicons (./index.php ./images/favicon_ticket.png ./images/favicon_asset.png ./images/windows.png)<br />
- Liste de tickets: Les listes déroulantes des filtres sont conditionnées à leurs résultats (./dashboard.php)<br />
- Liste de tickets: Les liens vers les différentes pages sont limités en nombre (./dashboard.php)<br />
- Liste de matériels: Les liens vers les différentes pages sont limités en nombre (./asset_list.php)<br />
- Liste de matériels: La recherche des matériels par utilisateur associé est disponible (./asset_list.php ./core/searchengine_asset.php.php)<br />
- Matériels: Lors de l'ajout en lot de matériels la date de fin de garantie est automatiquement renseignée si elle est définie sur le modèle (./asset_stock.php)<br />
- Liste des utilisateurs: Une nouvelle colonne avec le nom de la société apparait quand la gestion des utilisateurs avancées est activé (./admin/user.php)<br />
- Mail: Intégration dans les mails du lieu quand celui-ci est renseigné (./core/mail.php )<br />

<br /><br />
<u>Bugfix:</u><br />
- Ticket: Dans la liste déroulante des demandeurs, des utilisateurs pouvaient apparaître en double dans certains cas.(./ticket.php)<br />
- Ticket: Dans la résolution lors d'un transfert d'un groupe de technicien à un autre groupe de technicien un défaut d'affichage apparaissait.(./thread.php)<br />
- Ticket: Lors de la selection d'une catégorie, plus de message de warning si aucune sous-catégorie n'est renseignée.(./ticket.php)<br />
- Matériel: Erreur PHP lors de la validation d'un matériel possédant une date de fin de garantie.(./asset.php)<br />
- Modèle de ticket: Lors de l'utilisation d'un modèle de ticket, la fenêtre de selection revenait sur chaque modification de champ avant l'enregistrement. (./ticket_template.php)<br />
- Liste des tickets: Si paramètre "voir tous les tickets de ma société" été activé le lien vers la page 2 ne fonctionnai pas.(./dashboard.php)<br />
- Liste des matériels: la liste déroulante du filtre pour les utilisateurs, ne contenait pas les utilisateurs désactivés (./asset_list.php)<br />
- Liste des matériels: Le compteur d'équipements sous garantie dans le menu pouvait afficher une valeur erronée (./menu.php)<br />
- Liste des lieux: Suppression de la possibilité de supprimer la ligne "Aucune", ce qui crée une perte de visibilité des nouveaux tickets du connecteur IMAP. (./admin/list.php ./core/ticket.php ./mail2ticket.php)<br />
- Liste des utilisateurs: Suppression de l'icône de la possibilité de supprimer les utilisateurs, désactivation uniquement pour éviter les tickets et matériels orphelins. (./admin/user.php)<br />
- Liste des utilisateurs: la recherche d'utilisateurs désactivés ne fonctionnait pas. (./admin/user.php)<br />
- Statistiques: La liste des statistique des tickets par tableau dépassait du cadre. (./stat/tables.php)<br />
- Impression ticket: Si l'on imprime deux fois de suite un ticket, un message d'erreur de droit apparaissait. (./ticket_print.php ./ticket.php)<br />
- Groupe d'utilisateurs: Le lien vers la fiche utilisateur depuis la liste des membre d'un groupe ne fonctionnait pas. (./admin/group.php)<br />
- Export des tickets: Le fichier exporté n'incluait pas le nom des groupes d'utilisateurs ou de techniciens. (./core/export_tickets.php)<br />
- Variables non initialisées: (./assets_stock.php ./register.php ./admin/parameters.php ./modalbox.php ./planning.php)<br />
- Menu de gauche: Le lien vers les vues pointai vers une page inexistante. (./menu.php)<br />
- Statistiques: Les tableaux de bas de page ne tenait pas compte des filtres. (./stats/tables.php)<br />
- Statistiques: Le camembert de répartition par société ne tien plus compte des tickets ou la société n'est pas renseignée. (./stats/pie_company.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 17/11/2016             <br />
# @Version : 3.1.12        	 	 <br />
#################################<br />

<br />
<u>Update:</u><br />
- Administration des listes: Ajout d'une fenêtre de confirmation lors de la demande de suppression d'une ligne (./admin/list.php)<br />
- Paramètre connecteur LDAP: Augmentation de la taille du champ "emplacement des utilisateurs" afin que celui ci ne soit pas tronqué (./admin/parameters.php)<br />
- Identifiant: Augmentation de la taille maximum du champ login à 200 caractères (SQL)<br />
- Matériel: Nouveau champ date de fin de garantie sur l'équipement (./assets.php ./core/assets.php ./core/export_tickets.php ./admin/parameters.php)<br />
- Matériel: liste des matériels en fin de garantie (./assets.php ./core/assets.php ./core/export_tickets.php ./admin/parameters.php)<br />
- Matériel: champ date de fin de garantie automatiquement remplit lorsque le model dispose d'une garantie  (./assets.php)<br />
- Matériel: Les dates affichées sur les fiches des matériels sont au format dd/mm/YYYY (./assets.php)<br />

<br /><br />
<u>Bugfix:</u><br />
- Modèle de tickets: Les utilisateurs et utilisateurs avec pouvoir ayant les droits d'utiliser les modèles de tickets avait un message d'erreur de droit (./index.php)<br />
- Matériel: Erreur d'affichage dans la date de fin de garantie inversion mois et jour (./asset.php)<br />
- Matériel: Sur la création de nouveaux équipements, la liste des installateurs était peuplée même par les techniciens désactivés. (./asset.php)<br />
- Matériel: La recherche d'équipement sur 2 ou 3 mots clés ne fonctionnait pas. (./core/searchengine_asset.php)<br />
- Ticket: Pour les utilisateurs lorsque le droit de modification du type était donné sur l'ouverture des ticket, la modification était possible en éditant le ticket (./ticket.php)<br />
- Ticket: Erreur d'affichage de la liste des criticités lors de changement de criticité valeur en double dans la liste  (./ticket.php)<br />
- Ticket: Lors de l'ajout d'une pièce jointe pour un utilisateur, si il n'avait pas remplit la résolution elle n'était plus modifiable  (./attachement.php)<br />
- Mail: Le commentaire n'était pas affiché' dans les mails automatique à destination des techniciens lorsque les utilisateurs ajoute un commentaire (./core/auto_mails.php)<br />
- Fiche utilisateur: Page blanche dans certains cas lors de l'ajout d'une fonction à un utilisateur (./admin/user.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 21/10/2016             <br />
# @Version : 3.1.11        	 	 <br />
#################################<br />

<br />
<u>Update:</u><br />
- Augmentation de la longueur maximale du nom des sociétés à 100 caractères (SQL)<br />

<br /><br />
<u>Bugfix:</u><br />
- Liste des tickets: la colonne date résolution n'était pas affiché, quand le droit était positionné et que la vue "tous les états" était sélectionnée (./dashboard.php)<br />
- Liste des tickets: Certains tickets n'était pas visible (SQL ./admin/user.php)<br />
- Liste des tickets: Les utilisateurs et utilisateurs avec pouvoir utilisant le paramètre "voir tous les tickets de ma société", ont leur liste d'utilisateurs limité à leur compagnie (./dashboard.php)<br />
- Modèle de tickets: Les utilisateurs et utilisateurs avec pouvoir ayant les droits d'utiliser les modèles de tickets avait un message d'erreur de droit (./ticket_template.php)<br />
- Menu: Erreur d'affichage du menu sur le profil administrateur, lors de l'activation du paramètre de visualisation de tous les tickets de sa société (./menu.php ./dashboard.php ./index.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 08/10/2016             <br />
# @Version : 3.1.10        	 	 <br />
#################################<br />

<br />
<u>Update:</u><br />
- Les utilisateurs peuvent voir tous les tickets de leur société, paramètres et droits à configurer (./menu.php ./dashboard.php ./admin/user.php /admin/parameters.php) <br />
- Une limite de ticket pour une durée à partir d'une date est possible, paramétrage dans la liste des sociétés + dans paramètres (./index.php ./core/ticket.php) <br />
- Ticket: le matériel associés à l'utilisateur sont les équipements IP (./ticket.php) <br />
- LDAP: augmentation à 500 caractères sur le champ d'emplacement des utilisateurs (SQL) <br />
- Mises à jour: l'installation des mises à jour peuvent être complètement automatisées, consulter la documentation (./admin/update.php ./core/install_update.php) <br />

<br /><br />
<u>Bugfix:</u><br />
- Matériel: redirection sur la page des tickets lors de la recherche de nouvel adresse IP disponible. (./core/asset.php ./asset.php ./asset_findip* ./modalbox.php)<br />
- Matériel: lors de la fermeture d'une fiche matériel le retour sur la liste avec conservation du filtre ne fonctionnai plus. (./core/asset.php)<br />
- Liste des matériels: la page ne revenait pas à zéro sur le changement de filtre. (./asset_list.php)<br />
- Rappel: l'affichage du rappel était systématique. (./core/asset.php ./asset.php ./asset_findip* ./modalbox.php)<br />
- Disponibilité: Dans les calcul de temps si le cumul des minutes était égale à 60 l'heure n'était pas incrémenté. (./plugins/availability/core.php)<br />
- Utilisateur: La limite de 20 caractères pour les identifiants des utilisateurs à été passée à 100 caractères. (SQL)<br />
- Icône Fichier: Intégration de l'icône vsdx mise a jour des logos office. (./images/icon_file/*.png)<br />
- Planning: deux variables n'était pas initialisés. (./planning.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 25/07/2016             <br />
# @Version : 3.1.9        	 	 <br />
#################################<br />
 
<br />
<u>Update:</u><br />
- LDAP: Synchronisation multi OU, syntaxe OU=TEST;OU=TEST2 (./core/ldap.php ./admin/parameters.php)<br />
- Tickets: Suppression des trois saut de ligne sur les champs description et résolution (./ticket.php ./threads.php)<br />
- Gestion de limite de ticket par utilisateur: Bloque la création de ticket pour les utilisateurs si le seuil est dépassé dans un laps de temps. (./index.php ./admin/user.php ./core/ticket.php)<br />

<br /><br />
<u>Bugfix:</u><br />
- Enregistrement utilisateurs: Ajout de contrôle sur les champs identifiants et adresse mail.<br />
- Barre utilisateurs: le bouton ce jour ne fonctionnait plus (./dashboard.php)<br />
- Ticket: La modification de date de création de ticket ne fonctionnai plus (./ticket.php)<br />
- Ticket: affichage de dateres lors de l'enregistrement (./core/ticket.php)<br />
- Ticket: Plus de génération de 3 retours a la ligne dans le champs description (./ticket.php)<br />
- Ticket: le bouton rappel ne fonctionnait plus (./ticket.php)<br />
- Ticket: les boites modal restaient affichées un fois fermer lors du rechargement de la page (./modalbox.php)<br />
- LDAP: Erreur lors de la synchronisation des société le champ service était mise a jour(./core/ldap.php)<br />
- Mail: Les adresses mail de plus de 50 caractères étaient tronqués.(SQL)<br />
- liste des matériels: conservation du filtre de recherche lorsque que l'on va sur la fiche de l'équipement puis retour à la liste(./asset_list.php)<br />
- liste des matériels: Pas de sélection des modèles associé au type dans la liste des matériels(./asset_list.php)<br />
- Statistiques: La liste des années n'était pas exhaustive pour les matériel(./asset_stats.php, ./tickets_stats.php, ./stats/*)<br />
- Statistiques: Lors de la sélection du mois de toutes les années un pourcentage apparaissait(./asset_stats.php, ./tickets_stats.php, ./stats/*)<br />
- Statistiques: Dans la liste des années une ligne zéro pouvait apparaitre(./asset_stats.php, ./tickets_stats.php, ./stats/*)<br />
- Fiche utilisateur: Les apostrophes du champ fonction n'était pas pris en compte(./admin/user.php)<br />
- IMAP: Intégration de la gestion des pièce jointe dans les tickets(./components/PhpImap/*)<br />
- IMAP: correction des défaut d'encodage sur les mails rédigé depuis les clients outlook ou OWA (./mail2ticket.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 31/05/2016             <br />
# @Version : 3.1.8        	 	 <br />
#################################<br />

<br />
<u>Update:</u><br />
- Système: vérification de l'activation de l'extension php_ftp pour les mises à jour. (system.php)<br />
- Ticket: Affichage des dates au format JJ/MM/AAAA HH:MM:SS.(ticket.php ./core/ticket.php)<br />

<br /><br />
<u>Bugfix:</u><br />
- Barre utilisateurs: le bouton ce jour ne fonctionnait plus (./dashboard.php)<br />
- Liste des tickets: le filtre par date de création ne fonctionnai plus (./dashboard.php)<br />
- Liste des tickets: lors d'une recherche sur le méta état a traiter recherche uniquement dans les tickets ouverts (./core/searchengine_ticket.php)<br />
- Liste des tickets: la sélection d'un page n'est plus conservé en cas de changement de technicien (./dashboard.php)<br />
- Liste des tickets: le trie sur les titres ne fonctionnait pas (./dashboard.php)<br />
- Liste des tickets: le filtre concernant la priorité ne fonctionnait pas (./dashboard.php)<br />
- Ticket: Les titres possédant des guillemet sont coupés a l'enregistrement (./ticket.php)<br />
- Ticket: Suppression de la redirection sur la liste des tickets si l'on clic sur le bouton enregistrer fermer, avec champs obligatoire (./core/ticket.php)<br />
- Ticket: lors de la connexion d'un utilisateur via le lien d'un mail, la redirection aboutissait sur un erreur de droit(./index.php)<br />
- Ticket: lors de la sélection de la criticité un rechargement de la page été réalisé alors qu'il n'était pas nécessaire sans le module disponibilité (./ticket.php)<br />
- Ticket: Lorsque qu'un utilisateur avec pouvoir crée un ticket contenant des retours chariot et des guillemets deux caractères spéciaux étaient affichés (./ticket.php)<br />
- Ticket: Incompatibilité avec le navigateur edge sur les nouveaux tickets (./ticket.php)<br />
- Ticket: La touche retour ne fonctionnait pas lorsque l'on était sur une vue (./menu.php)<br />
- Ticket: l'ajout de nom ou de prénom possédant des apostrophes ne fonctionnait pas depuis le menu du ticket (./ticket_useradd.php)<br />
- Ticket: Ajout du bouton ajouter sur nouveau ticket (./thread.php)<br />
- Liste des matériels: lors d'une recherche par nom netbios, le clic sur la page 2 perdais la recherche(./asset_list.php)<br />
- Planning: la page n'était pas entièrement lors que certain événements était crées(./planning.php)<br />
- Matériel: Lors de l'ajout d'un lot dans les stocks, le modèle n'était pas conservé dans la liste déroulante(./asset_stock.php)<br />
- Matériel: incompatibilité avec le navigateur edge sur les nouveaux matériels(./asset.php)<br />
- Statistiques: Sur le filtre les administrateur apparaissent aussi dans la liste des techniciens(./ticket_stat.php ./asset_stat.php)<br />
- Utilisateurs: Dans le rattachement d'utilisateurs a un technicien, la liste n'était pas affiché en entière.  (./admin/users.php)<br />
- Mise a jour: Conformité avec la rfc959 (./admin/update.php)<br />
- Connecteur IMAP: erreur lorsque le sujet contient certains des chiffres (./mail2ticket.php)<br />
- Paramètre: Complément d'information sur le connecteur IMAP et gmail (./admin/parameters.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 10/03/2016             <br />
# @Version : 3.1.7        	 	 <br />
#################################<br />

<br />
<u>Update:</u><br />
- Connecteur IMAP: lors de la réponse a une notification alors mise a jour du ticket existant. (bêta)<br />
- Ticket: Ajout d'un bouton retour pour revenir a la liste. (./index.php ./dashboard.php)<br />
- Paramètres: Ajout d'exemples dans les informations sur les paramètres du connecteur SMTP. (./admin/parameters.php )<br />

<br /><br />
<u>Bugfix:</u><br />
- Global: Incompatibilité avec les versions récente de MySQL, comme WAMP 3. (./index.php)<br />
- Connecteur IMAP: récupération du corps du message erronée et problème d'encodage de caractères. (./mail2ticket.php)<br />
- Mail: Adresse de réponse est celle définit dans l'émetteur dans les paramètres. (./core/mail.php)<br />
- Liste ticket: Le warning était affiché si la date de résolution et obligatoire et si l'état est a résolu ou rejeté. (./dashboard.php)<br />
- Liste ticket: Le filtre sur les états ne fonctionnai plus. (./dashboard.php)<br />
- Liste ticket: Le filtre sur les dates ne fonctionnai plus. (./dashboard.php)<br />
- Liste ticket: lorsqu'un filtre est activé la valeur sélectionné est conservée dans la barre des filtres. (./dashboard.php)<br />
- Statistiques: Erreur de nommage dans le nombre affiché sur les camemberts. (./stat/pie_assets_type.php ./stat/pie_assets_service.php)<br />
- Statistiques: Filtre tous les types en double si la gestion des type de ticket est activé. (./asset_stat.php)<br />
- Statistiques: Par défaut les statistique sont pour le mois en cours et plus l'année. (./stat.php.php)<br />
- Ticket: Erreur d'enregistrement de thread sur l'enregistrement de ticket avec champ obligatoire non renseignés. (./core/ticket.php)<br />
- Ticket: Message d'erreur sur la suppression de pièce jointe avec le profile poweruser. (./attachment.php)<br />
- Mail2ticket: erreur lors de la récupération du nom de l'utilisateur associé a l'adresse mail. (./mail2ticket.php)<br />
- Barre technicien: le lien vers les tickets a traiter est rediriger vers le méta état a traiter, si l'option est activée. (./index.php)<br />
- Gestion des Lieux: Attribution du lieu par défaut (aucun) si aucune donnée n'est renseignée. (./core/ticket.php)<br />
- Mise a jour: Correction du lien vers le nouveau site pour les mises a jours manuelles. (./admin/update.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 13/02/2016             <br />
# @Version : 3.1.6           	 <br />
#################################<br />

<br />
<u>Update:</u><br />
- Statistiques: Disponibilité des statistiques des matériels.(./menu.php ./stat.php ./ticket_stat.php ./asset_stat.php ./stat_line.php ./stat/pie_assets_service.php ./stat/pie_assets_type.php).<br />
- Recherche Tickets: gestion de 5 mots clés au lieu de 3.(./core/searchengine_ticket.php).<br />
- Export: Les matériels sont exportable depuis la page statistique.(./core/export_*.php).<br />
- Liste des tickets: Affiche un warning si la date de résolution estimé n'est pas renseigné et si elle est obligatoire.(./dashboard.php).<br />
- Tickets: Sur un nouveau ticket perte de la résolution si champ obligatoire non renseigné.(./ticket.php ./thread.php ./core/ticket.php).<br />
- Tickets: Sur un nouveau ticket caractères spéciaux dans le champs titre si champ obligatoire non renseigné.(./ticket.php ./thread.php ./core/ticket.php).<br />
<br /><br />
<u>Bugfix:</u><br />
- Planning: La lors de l'arrivée sur la page on arrivai sur la semaine -1. (./planning.php).<br />
- Matériels: Lors de la modification vers l'état recycler la date n'était pas renseigné. (./asset.php ./core/asset.php).<br />
- Matériels: Lors de la modification d'état le contrôle d'IP dupliqué n'était pas réalisé. ( ./core/asset.php).<br />
- Recherche tickets: Blocage sur la recherche multi-critère avec de grosses bases de données. ( ./core/searchengine_ticket.php).<br />
- Administration: Faute orthographe. ( ./admin/user.php).<br />
- Statistiques: Sur le camembert de la répartition des tickets par techniciens, les tickets été groupés par prénoms. ( ./stat/pie_tickets_tech.php).<br />
- Liste tickets: Les cases a cochés ne fonctionnaient plus. ( ./dashboard.php).<br />
- Tickets: Sur l'édition d'une sous-catégorie pas de retour a la ligne sur la liste déroulante des catégorie. ( ./ticket_catadd.php).<br />
- Tickets: Variable non définie. ( ./ticket.php).<br />
<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 23/01/2016             <br />
# @Version : 3.1.5           	 <br />
#################################<br />

<br />
<u>Update:</u><br />
- Ticket: changement automatique de l'état de "Attente de PEC" à "En cours", si le technicien ajoute une résolution.(./core/ticket.php).<br />
<br /><br />
<u>Bugfix:</u><br />
- Paramètres: Vérification du paramètre de condition de prise en compte d'un ticket dans la fonction disponibilité(./plugins/../parameters.php).<br />
- favicon: Correction URL(./register.php print.php monitor.php ./install/index.php ./favicon.ico).<br />
- Procédure: Initialisation de variables(./procedure.php).<br />
- Planning: Jeudi date incorrecte(./planning.php).<br />
- Installation: Les bases de données avec tirets sont autorisés(./install/index.php).<br />
- Liste des tickets: La liste de sélection des actions était parfois trop basse.(./dashboard.php).<br />
- Liste des tickets: lors du clic sur la case numéro hors chiffre la redirection vers le ticket ne fonctionnai pas.(./dashboard.php).<br />
- Ticket: Sur l'édition des utilisateurs le champ téléphone n'était pas à la ligne.(./ticket_useradd.php).<br />
- Ticket: Le droit d'affichage uniquement ne fonctionnait pas sur les listes déroulantes.(./ticket.php).<br />
- Ticket: Le matériel associé a l'utilisateur n'affiche que ceux qui sont actifs.(./ticket.php).<br />
- Ticket: Conservation du technicien associé si celui si est désactivé.(./ticket.php).<br />
- Liste des Matériels: Lors de l'accès en visualisation par un utilisateur avec internet explorer le lien revenait sur la liste des tickets.(./asset_list.php).<br />
- Droits: Les utilisateurs avait le droit par défaut de supprimer leurs tickets.(SQL).<br />
- Disponibilité: Variables non initialisés.(./plugins/availability/core.php ./plugins/availability/median.php).<br />
- Mail: Envoi de mail était impossible sur hébergement 1&1, nouveau paramètre connecteur SMTP.(./admin/parameters.php ./core/mail.php ./core/message.php).<br />
<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 16/01/2016             <br />
# @Version : 3.1.4          	 <br />
#################################<br />
<br />

<u>Update:</u><br />
- Ticket: Affiche le nom du dernier matériel associé a l'utilisateur(./ticket.php)<br />
- Export: Affiche le nom de la société(./core/export.php)<br />
- Mail: Envoi de mail automatique a l'utilisateur lors de l'ajout d'un élément de résolution par le technicien cf paramètres(./admin/parameters.php ./ticket.php ./core/auto_mail.php ./core/mail.php ./core/message.php)<br />
- Mail: Envoi de mail automatique au technicien lors de l'ajout d'un élément de résolution par l'utilisateur cf paramètres(./admin/parameters.php ./ticket.php ./core/auto_mail.php ./core/mail.php ./core/message.php)<br />
<br /><br />
<u>Bugfix:</u><br />
- Ticket: Trouve le dernier matériel associé à l'utilisateur(./ticket.php).<br />
- Procédure: Variable non initialisé(./procedure.php).<br />
- Matériel: Le ping ne fonctionnait pas lorsqu'il n'y avait qu'une seule IP WLAN(./asset.php ./core/asset.php ./core/ping.php).<br />
- Matériel: La détection d'adresse ip utilisé ne se base plus que sur les équipement actif(./core/asset.php  ./asset_findip2.php).<br />
- Matériel: La recherche des ip disponible ne tenait pas compte des adresse IP WLAN(./asset_findip.php ./asset_findip2.php).<br />
- LDAP: Les utilisateurs ayant des caractères spéciaux dans leurs login étaient désactivés(./core/ldap.php).<br />
- Stat: Deux variables étaient non initialisés.(./stat.php).<br />
- Stat: Les statistiques ne s'affichaient pas lorsque la fonction utilisateur avancé était sélectionné.(./stats.php).<br />
- Export CSV: Les accents dans le fichier csv n'était pas gérés.(./core/export.php).<br />
<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 10/01/2016             <br />
# @Version : 3.1.3         	 <br />
#################################<br />
<br />

<u>Update:</u><br />
- Ticket: Si un matériel est associé a un utilisateur il apparait alors sur le ticket a coté de son nom (./ticket.php)<br />
- Liste matériel: Affichage de la seconde ip si elle existe (./asset_list.php)<br />
- Droits: Ajout de nouveaux droits pour avoir une visualisation de la liste des matériels (./menu.php ./asset_list.php ./index.php)<br />
- Statistique: Nouveau filtre par service disponible (./stat.php ./stat/*)<br />
- Mise a jour: suppression de l'avertissement de temps (./core/install_update.php)<br />
<br /><br />
<u>Bugfix:</u><br />
- Ticket: le droit d'interdiction de modification des date ne fonctionnait pas (./ticket.php).<br />
- Paramètres: Les fonctions disparaissent lors de l'activation du module de disponibilité (./plugins/.../parameters.php).<br />
- Liste ticket: La liste des actions pour une sélection, n'intégrait pas les nouveaux états (./dashboard.php).<br />
- Liste ticket: Le trie sur la colonne priorité ne fonctionnai plus (./dashboard.php).<br />
- Liste Matériel: Les filtre sur IP ne fonctionnait plus sur page 2 (./asset_list.php).<br />
- Liste Matériel: Pas de sélection d'un second filtre (./asset_list.php).<br />
- Recherche matériel: la recherche sur l'IP WLAN ne fonctionnait pas (./core/searchengine_asset.php).<br />
- Matériel: La recherche d'adresse IP disponible ne tenait pas compte des IP WLAN (./asset_findip.php ./asset_findip2.php).<br />
- Matériel: L'adresse IP des équipement sans modèle n'apparaissait pas (./asset.php).<br />
- Matériel: La corrélation entre le type le modèle le fabriquant et le modèle n'était pas toujours fonctionnel (./asset.php).<br />
- Matériel: redirection vers les matériel installé sur ajout nouveau matériel (./core/asset.php).<br />
- Système: plus de vérification de la version l'extension php_mysql(./system.php).<br />
- Paramètres: Défaut de nommage (./admin/parameters.php).<br />
- Utilisateur: Dans la liste le lien depuis la colonne profile ne fonctionnait pas (./admin/user.php).<br />
<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 05/01/2016             <br />
# @Version : 3.1.2          	 <br />
#################################<br />
<br />

<u>Update:</u><br />
- Matériel: Gestion des équipements IP(bêta).<br />
<br /><br />
<u>Bugfix:</u><br />
- Ticket: lors de l'impression les caractères spéciaux apparaissent codés (./ticket_print.php)<br />
- Mail: Lors des événements d'attribution ou de transfert il y avait deux points en trop (./core/mail.php)<br />
- Liste des tickets: Sur une recherche si le rafraichissement automatique est lancé alors la recherche était ré-initialisée (./index.php)<br />
- Installation: création de la base de données uniquement si elle n'existe pas déjà (./install/index.php)<br />
<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 10/12/2015             <br />
# @Version : 3.1.1          	 <br />
#################################<br />
<br />
<u>Update:</u><br />
- Liste des tickets: Lorsque l'application est paramétrée pour l'ordre par numéro de ticket alors l'ordre est décroissant (./dashboard.php)<br />
- Liste des tickets: Sur le bouton "ce jour" on affiche les tickets ouverts et fermés du jours pour tous les techniciens(./dashboard.php ./index.php)<br />
- Liste des tickets: Colonne date personnalisable dans la gestion des droits(./admin/parameters.php ./dashboard.php)<br />
- Sécurité: sécurisation de l'impression des tickets par token. (./ticket.php ./ticket_print.php)<br />
<br /><br />
<u>Bugfix:</u><br />
- Connecteur IMAP: certains messages apparaissent codés (./mail2ticket.php)<br />
- Https: gestion de la détection https (./index.php ./core/ticket.php ./asset.php)<br />
- Groupes: erreur lors de l'enregistrement d'un groupe si l'on ajoute pas de nouveaux membres(./admin/group.php)<br />
- Ticket: sur les nouveaux ticket la selection du demandeurs recharge la page en bas(./core/ticket.php)<br />
- Ticket: La sélection d'un groupe de demandeur n'etait pas conservé (./ticket.php)<br />
- Ticket: Dans la liste des autres tickets de l'utilisateur certain n'étaient pas affichés (./ticket.php)<br />
- Liste ticket: Liste vide si les lieux n'était pas renseignés (SQL)<br />
- Mail automatique: Les mails automatique ne partaient plus (./core/auto_mail.php)<br />
- Menu: le lien vers les nouveaux tickets ne fonctionnaient plus (./menu.php)<br />
- Mise a jour: page blanche sur lancement de l'installation (./core/install_update.php)<br />
<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 24/11/2015             <br />
# @Version : 3.1.0          	 <br />
#################################<br />
<br />
<u>Notice:</u><br />
- Le fichier ./connect.php doit être modifié manuellement avec vos paramètres de base de données.<br />
<br /><br />
<u>Update:</u><br />
- Base de donnée: Nouveaux mode de connexion en PDO remplaçant le mysql_query obsolète, modification des 1167 requêtes de l'application<br />
- LDAP: La synchronisation des annuaires LDAP peut être automatiser en appelant la page: gestsup_3.0.12/core/ldap.php (Linux: echo "0 0 * * * php /var/www/site/ldap.php" | crontab)<br />
- Mail: Intégration de la dernière version de PHPmailer 5.2.13<br />
- Liste des tickets: Lorsque la date affiché est date estimé, sur les états résolus et rejeté la date et désormais date de résolution. (./dashboard.php)<br />
- Liste des tickets: la colonne priorité peut être masqué. (./dashboard.php)<br />
<br /><br />
<u>Bugfix:</u><br />
- Liste des tickets: les filtres n'était pas conserver lors de la touche retour depuis un ticket<br />
- Liste des tickets: taille de certains filtres ne remplissaient pas la colonne sur les grand écrans <br />
- Liste des tickets: l'accès depuis un compte superviseur, ne permettait plus de voir tous les tickets<br />
- Liste des tickets: Avec certains configuration serveur un défaut avec la colonne lieu apparaissait<br />
- Liste des tickets: Le titre de la colonne lieu était erroné. <br />
- Liste des tickets: l'horloge indiquant un retard de traitement, s'affichait sur les tickets résolus aussi. <br />
- Tickets: Lors de l'appui sur le bouton enregistrer quitter, conservation de la page ticket sur . <br />
- Tickets: Les autres tickets en attente de retour s'affiche, désormais a coté du demandeur. <br />
- Sécurité: upload de fichier. (./core/upload.php) <br />
<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 17/06/2015             <br />
# @Patch : 3.0.11            	 <br />
#################################<br />
<br />

Update:<br />
- Ticket: les champs date de fin estimé, criticité, priorité, peuvent être obligatoire, si le droit est positionné. (./ticket.php, ./core/ticket.php)<br /> 
- Mails: Copie Multiple - Ajout de la détection du ; dans la liste des copies des paramètres $rparameters['mail_cc'], et donc envoi en copie multiple (./core/mail.php)<br /> 
- Meta-état: un nouvel état regroupant les état en attente de pec, en cours, en attente de retour, est activable pour les techniciens dans la partie administration.(./menu.php, .parameters.php ./:dashboard.php)<br />
- Export: Ajout du service du demandeur(./core/export.php)<br />
- Liste ticket: Ajout de la visualisation des lieux (tplaces) dans le dashboard et prise en compte totale SI le paramètre "gestion des lieux" est coché (./dashboard.php)<br /> 
- Liste ticket: Une préférence utilisateur de trie est possible pour les administrateurs et techniciens configurable dans le profile utilisateur (./admin/user.php ./dashboard.php)<br /> 
- Liste ticket: Une préférence utilisateur d'arriver sur un état données est configurable dans le profile utilisateur  (./admin/user.php ./login.php)<br /> 
- Liste ticket: La date création peut être remplacer par la date de résolution estimée, paramétrable dans la section administration.  (./dashboard.php ./admin/parameters.php)<br /> 
- Module de disponibilité: ajout de la gestion des tx cible (./plugins/availability/admin/parameters.php, ./admin/parameters.php ./plugins/availability/index.php ./plugins/availability/core.php ./plugins/availability/median.php)
<br /><br />
Bugfix:<br />
- Upload: certains caractères n'étaient pas remplacés (./core/upload.php) <br />
- Stat: certains critères globaux n'était pas pris en compte(./stats/* ) <br />
- Modèle de ticket: incohérence lorsque qu'un utilisateur avec pouvoir l'utilise (./ticket_template.php) <br />
- Export: les exports sont désormais au format csv pour gérer les grosses bases (./core/export.php) <br />
- Module disponibilité: les bornes de dates était basé sur la date de création du ticket, et non du début de l'indisponibilité (./plugins/availability/index.php) <br />
- Module disponibilité: Les catégories n'était pas affichées tant qu'un ticket n'avait pas été crée (./plugins/availability/index.php ./admin/parameters.php) <br />
- Correction faute (./login.php)<br />
- Calendrier le mercredi était décalé (./planning.php)<br />
- Utilisateurs: les utilisateurs ne pouvaient plus modifier leurs profile.<br />
- Paramètres: Défaut saut de ligne sur une option (./admin/parameters.php).<br />
- Sécurité: Renforcement de la sécurité sur l'édition des tickets  (./index.php, index_auth.php, dashboard.php, /admin/user.php)<br />
- Liste des tickets: suppression de la colorisation des tickets anciens pour gain de performance  (./dashboard.php, ./admin/parameters.php)<br />
- Liste des tickets: sur la vue tous les ticket lors qu'un filtre est appelé les états sont conservés  (./dashboard.php)<br />
- Connexion: La redirection vers un ticket depuis un lien mail fonctionne aussi avec les authentification LDAP  (./login.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 30/10/2014             <br />
# @Patch : 3.0.10            	 <br />
#################################<br />
<br />

Notice:
- Mail: Pour les utilisateurs du connecteur SMTP en SSL, si vous avez modifié votre nom d'hôte en préfixant "ssl://" vous devez le supprimer.<br />
<br />
Update:<br />
- Procédure: Organisation par catégorie (./procedure.php)<br />
- Stat: une seul ligne de filtre (./stat_line.php stat.php ./stat/*)<br />
- Stat: affichage du nombre total de demande en cours. (./stat_line.php ./stats/lien_tickets.php)<br />
- mail: Ajout de 2 destinataire en plus. (./preview_mail.php ./core/mail.php)<br />
<br />
Bugfix:<br />
- Stat: Conserver le service de l'utilisateur dans le ticket, afin d'associé un ticket à un service et plus à un utilisateur. (./core/ticket.php ./stats.pie_services.php)</br />
- Stat: Export Excel modification de la limite de 7MB par fichier passage à 30MB. (./components/../class.writeexcel_olewriter.inc.php)</br />
- Mail: Pour les mails sécurisé SSL l'ajout de ssl:// en préfixe n'est plus nécessaire (./core/mail.php ./admin/parameters.php)<br />
- Connecteur IMAP: la page de test gère les accents.(./mail2ticket.php)<br />
- Modèle: la duplication de ticket intègre le type (./ticket_template.php)<br />
- Users: dans l'ajout modification des values des cases option pour changer le mot de passe. (./users.php)<br />
- Dashboard: Choix 'supprimer' bloqué par le droit. (./dashboard.php)<br />
- Dashboard: Changement de nom pour les ticket du jour dans le menu pour ne pas décaler sur deux lignes. (./index.php)<br />
- Dashboard: Problème de sécurité en modifiant le userid dans la barre d'URL (./index.php)<br /> 
- Liste: la touche retour du navigateur n'affiche plus de message d'erreur suite à un $_POST (./index.php) <br /> 
- Disponibilité: manque des variables non initialisés dans certains cas (./plugins/availability/index.php)<br /> 
- Ticket: Les pièces-jointes avec caractères spéciaux été mal renommées (./core/upload.php)<br />
- Ticket: Ajout de commentaires sur les flèches suivant et précédent (./ticket.php)<br />
- Ticket: Ajout de slash sur le titre lors de l'ajout d'un thread (./core/ticket.php)<br />
- Ticket: Les noms des pièces jointe peuvent aller jusqu'à 500 caractères (SQL)<br />
- Ticket: Ré-initialisation des champs lieu et criticité sur modification de la criticité (./ticket.php)<br />
- Mails: la troisième personne en copie du message ne reçoit pas le mail (./preview_mail.php)<br />
- Moniteur: Correction des pluriels (./monitor.php)<br />
- Moniteur: Le son fonctionne tout le temps lors d'un nouveau ticket(./monitor.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 09/07/2014             <br />
# @Patch : 3.0.9            	 <br />
#################################<br />
<br />

Update:<br />
- Liste utilisateurs: la recherche par le numéro de téléphone est possible (./admin/user.php)<br />
- Gestion de la disponibilité:  (./admin/parameters.php ./menu.php ./ticket.php ./core/ticket.php ./stat_bar_stacked.php ./index.php)<br />
- Système: ajout informations installation openssl Linux (./system.php)

<br />

Bugfix:<br />
- Tickets: Les images dans les champs description et résolution ne s'affiche pas (SQL)<br />
- Tickets: Doublon dans la liste des types sur certaines actions (./ticket.php)<br />
- Tickets: Lors de la modification du l'état résolus, si la date de résolution est anti-daté, la date n'est pas prise en compte (./core/ticket.php)<br />
- Déconnexion: Suppression de la redirection lors de la déconnexion (./index.php)<br />
- Mail: Sur la prévisualisation l'icône de la pièce jointe lorsqu'elle était en majuscule ne s'affichait pas(./preview_mail.php)<br />
- Liste des tickets: Le titre de la page est correcte lors de la sélection d'une vue(./dashboard.php)<br />
- Liste des tickets: lorsque l'on sélectionne la vue aujourd'hui la page 2 ne fonctionne pas. (./dashboard.php) <br />
- Fiche utilisateur: Lors de l'ajout d'un utilisateur les champs service et fonction sont conservées (./admin/user.php)<br /> 
- Mails: Les messages automatiques n'était pas envoyés si l'état lors de l'ouverture était en attente de prise en charge. (./core/auto_mail.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 09/04/2014             <br />
# @Patch : 3.0.8            	 <br />
#################################<br />
<br />

Update:<br />
- Utilisateur: Lors de la création ou modification d'utilisateur depuis un ticket le champ Société est accessible (./ticket_useradd.php)<br />
- Utilisateur: Inscription des utilisateurs, nouveau paramètre (./login.php ./admin/parameters.php ./register.php)<br />
- Utilisateur: Sur la liste des utilisateurs la pagination, le trie, et la recherche est disponible (./admin/user.php ./index.php)<br />
- Moniteur: Affichage des ticket résolus du jour (./monitor.php)<br />
- Export Excel: Ajout de la colonne société (./core.export.php)<br />
- Ticket: Ajout du champs date de résolution (./ticket.php ./core/ticket.php)<br />
- Paramètres: Possibilité de changer le port SMTP sans utiliser sans sécurisé le protocole (./admin/parameters.php ./core/mail.php ./core/message.php)<br />

<br />

Bugfix:<br />
-Utilisateur: Lors de la création d'un nouvel utilisateur on peut sélectionner la société. (./admin/user.php) <br />
-Utilisateur: Sur la fiche utilisateur le service était présent deux fois dans la liste. (./admin/user.php) <br />
-Utilisateur: Sur la liste des utilisateurs avec firefox les icônes d'actions était sur deux lignes. (./admin/user.php) <br />
-Statistiques: Erreur de définition de variable. (./stat.php) <br />
-Statistiques: Répartition par catégorie, vu toutes les catégories fonctionnel. (./stat/pie_cat.php) <br />
-Statistiques: Les noms long sur les camemberts ne sont plus coupés<br />
-Sécurité: Injection de code depuis les champs utilisateurs. (./admin/user.php) <br />
-Sécurité: Les utilisateurs pouvait modifier les informations d'autres utilisateurs. (./admin/user.php) <br />
-Sécurité: Les utilisateurs ne peuvent plus consulter le dossier de sauvegarde. (./backup/.htaccess) <br />
-Listes: Ré-organisation par ordre alphabétique. (./admin/list.php) <br />
-Listes: Les nouvelles entrées de la liste état sont supprimables. (./admin/list.php) <br />
-Mail: Variable non définit. (./core/mail.php) <br />
-Mail: Lorsque le paramètre envoi de mail automatique à l'utilisateur est activé, sur le ticket lors d'un ajout de catégorie un message était envoyé. (./core_ticket.php) <br />
-Liste tickets: Lors d'une recherche le nombre de ticket compté été faux. (./dashboard.php) <br />
-Ticket: Le droit de modification du demandeur sur l'édition d'un ticket ne fonctionnait pas. (./ticket.php) <br />
-Liste des tickets: Les utilisateurs et utilisateurs avec pouvoir ayant le droit d'afficher tous les tickets affiche la colonne Demandeur. (./dashboard.php) <br />
-Sociétés: Les codes postaux des sociétés qui commence par un 0 sont gérés. (SQL) <br />
-LDAP: La synchronisation des sociétés est fonctionnel . (SQL) <br />

<br />

#################################<br />
# @Name : GestSup Release Notes  <br />
# @Date : 14/03/2014             <br />
# @Patch : 3.0.7            	 <br />
#################################<br />
<br />

Update:<br />
- Statistiques: Ajout de la courbe d'évolution du nombre de ticket fermé (./stats_line.php, ./stats/*.php)<br />
- Statistiques: Ajout de nouveaux critères de sélection (./stats.php, ./stats/*.php)<br />
- Statistiques: Ajout de camemberts pour les services et société si il y en as (./stat.php ./stats/pie_company.php ./stats/pie_services.php)<br />
- Moniteur: Joue un son si un nouveau ticket est crée par un utilisateur (./monitor.php)<br />
- Utilisateurs: Gestion des sociétés le paramètre "utilisateurs avancés" doit être activé (./admin/list.php ./admin/user.php ./ticket_useradd.php ./ticket.php)<br />
- Barre utilisateur: Distinction des demandes en attente de retour (./index.php ./menu.php) <br />
<br />

Bugfix:<br />
- Export Excel: Plus de timeout sur les grosses bases de données, ajout du type de ticket (./core/export.php)<br />
- Ticket: changement d'état automatique à en attente de PEC lors de la création du ticket si l'on précise état résolu (./core/ticket.php)<br />
- Logo: si aucun logo n'est choisi alors c'est le logo par défaut qui s'affiche. (./index.php ./login.php)<br />
- Sécurité: suppression de l'html dans les champs texte affichés (./admin/parameters.php ./core/ticket.php)<br />
- Sécurité: le chargements des fichiers php est désormais impossible (./admin/parameters.php ./core/upload.php)<br />
- Utilisateur: lors de l'insertion d'adresse avec apostrophes.(./admin/user.php)<br />
- Utilisateur: la recherche sur les tickets crées avec la version 2 des utilisateurs à rattacher à un technicien est vide.(./admin/user.php)<br />
- Statistiques: le menu utilisateur ne s'affiche pas lorsque l'on se trouve sur la page statistique (./stat_line.php)<br />
- Sauvegarde: lors du lancement de la sauvegarde manuel les anciennes sauvegardes sont exclues (./admin/backup.php)<br />
- Calendrier: numéro de jour incorrectes les mardis (./planning.php)<br />
- Droits: Certains nommage sont incorrecte. <br />
- Listes: Les nom avec apostrophe ne fonctionne pas. (./admin/list.php) <br />

<br />

#################################<br />
# @Name : GestSup Release Notes <br />
# @Date : 15/02/2014            <br />
# @Patch : 3.0.6               <br />
#################################<br />
<br />
Update:<br />
- Ticket: l'ordre d'affichage des autres tickets du demandeur est décroissant (./ticket.php)<br />
- Mails: Possibilité d'envoyer ou non la pièce jointe (./preview_mail.php ./core/mail.php)<br />
- Impression: Ajout de la date de résolution si elle existe (./ticket_print.php ./core/ticket.php)<br />
- Supervision: Écran des supervision indiquant le nombre de tickets en attente d'attribution et du jour. (./monitor.php ./admin/parameters.php)<br />
- Statistiques: Export Excel des tickets. (./stats.php ./core/export.php ./components/php_writeexel/*)<br />

<br />
Bugfix:<br />
- Mails: redirection automatique vers le ticket lors de l'utilisation du lien du mail. (./login.php)<br />
- Mails: Les utilisateurs désactivés n'apparaissent plus dans les liste des destinataire en copie (./preview_mail.php)<br />
- LDAP: La synchronisation des noms et prénoms fonctionne. (./core/ldap.php)<br />
- Statistiques: Le nom des états n'était plus affichés(./stat.php)<br />
- Boutons: liens crée depuis les boutons en haut à gauche(./index.php)<br />
- Système: Valeurs du phpinfo non récupéré sous CentOS (./system.php ./install/index.php)<br />
- Ticket: La date de résolution n'était plus enregistrée (./core/ticket.php)<br />
- Recherche: Lenteurs de recherche sur les bases avec beaucoup d'utilisateurs (./searchengine.php)<br />
- Fiche utilisateur: Les boutons changement de mot passe s'affiche mal avec IE8 (./admin/user.php)<br />

<br />
#################################<br />
# @Name : GestSup Release Notes <br />
# @Date : 23/01/2014            <br />
# @Patch : 3.0.5               <br />
#################################<br />
<br />
Update:<br />
- Ticket: pouvoir anti-daté un ticket (./ticket.php)<br />
- Liste des tickets: lors du clic sur aujourd'hui les tickets du jour de l'ensemble des techniciens s'affichent (./index.php ./dashboard.php)<br />
- Statistiques: Le nombre de tickets sur camemberts sont affichés. (./stat.php ./stat_pie.php)<br />
<br />
Bugfix:<br />
- Mails: certains mails ne s'affichent pas correctement sur certains webmails (./core/mail.php)<br />
- Recherche: la recherche sur les utilisateurs possédant le même nom fonctionne (./searchengine.php)<br />
- Tickets Procédure: Les icônes de la barre d'édition de texte, sont tous en français (./wysiswyg.php)<br />
- Système: Les valeurs étaient vide sous CentOS (./system.php ./install/index.php)<br />
- Paramètres connecteur: Le bouton de test ldap perd les paramètres du connecteur. (./admin/parameters.php ./core/ldap.php)<br />
- Impression ticket: des variables n'étaient pas initialisées. (./ticket_print.php)<br />
- Fichiers manquants: fichiers de police glyphicons introuvables. (./template/assets/font/gly* ./template/assets/css/uncompressed/bootstrap.css ./template/assets/css/bootstrap.min.css)<br />
- Mails: sur certains webmail le titre était affiché en petit (./core/mail.php)<br />
- LDAP: L'affichage de la ligne d'activation des utilisateurs n'est plus décalé (./core/ldap.php)<br />
- Mails: Le message envoyé à l'administrateur lors de la déclaration d'un ticket par l'utilisateur n'a plus de slash en trop(./core/ticket.php)<br />
- Tickets: les copiés collés depuis word avec firefox s'affiche mal (./core/ticket.php)<br />
<br />
#################################<br />
# @Name : GestSup Release Notes <br />
# @Date : 09/01/2014            <br />
# @Patch : 3.0.4               <br />
#################################<br />
<br />
Update:<br />
- Paramètres: de Gestion des types de ticket, demande, incident... (./admin/parameters.php ./admin/list.php ./ticket.php ./core/ticket.php ./stat.php)<br />
<br />
Bugfix:<br />
- Tickets: les titres ne sont plus coupés avec des points (./ticket.php)<br />
- Tickets: des retours a lignes sont envoyé sur le mail, en trop(./core/mail.php ./core/ticket.php)<br />
- Liste tickets: le changement de page sur un filtre par date fonctionne. (./dashboard.php)<br />
<br />
#################################<br />
# @Name : GestSup Release Notes <br />
# @Date : 07/01/2014            <br />
# @Patch : 3.0.3                <br />
#################################<br />
<br />
Update:<br />
- <br />
Bugfix:<br />
- Install: problème d'encodage avec le squelette en UTF-8 à l'installation(./install/index.php)<br />
- Changelog: problème d'affichage des caractères spéciaux du changelog.(./changelog.php ./admin/infos.php ./index.php) </br>
- Rattachement utilisateur: le transfert automatique fonctionne. (./admin/user.php ./ticket.php) <br />
- Ticket: sélection automatique d'un technicien lorsque le technicien n'est pas renseigné. <br />
- Ticket: la description est perdu sur modification de la catégorie.(./ticket.php ./thread.php) <br />
- Ticket: agrandissement des champs texte (./ticket.php ./thread.php ./core/ticket.php)<br />
- Ticket: message d'erreur lors de la validation de ticket sans demandeur(./core/ticket.php)<br />
- Liste tickets: le filtre par date fonctionne (./dashboard.php)<br />
- Liste des utilisateurs: l'utilisateur connecté ne peut plus se désactiver (./admin/user.php)<br />
<br />
<br />
#################################<br /> 
# @Name : GestSup Release Notes<br /> 
# @Date : 28/12/2013<br />           
# @Patch : 3.0.2<br />                
#################################<br />
<br />
Update:<br />
- Ticket: rattachement d'un utilisateur à un technicien (./admin/user.php, ./core/ticket.php)<br />
- Ticket: ajout du bouton sauvegarder et quitter dans la barre du ticket (./ticket.php)<br />
- Intégration du lien vers le site sur la page de login (./index.php)<br />
<br />
Bugfix:<br />
- profile: la modification du thème est prise en compte.<br />
- Liste tickets: les titres non lus et non attribué ne s'affichait pas. (./dashboard.php)<br />
- Liste tickets: lors de la sélection multiple plus de redirection vers un ticket (./dashboard.php)<br />
- Liste tickets: le filtre sur l'état fonctionne.<br />
- Menu: correction procédures avec un s (./menu.php)<br />
- Mails: depuis certains clients de messagerie, erreur d'affichage des caractères spéciaux (./core/mail.php)<br />
- Ticket: perte titre sur changement de catégorie (./ticket.php)<br />
<br />
<br />
#################################<br /> 
# @Name : GestSup Release Notes #<br />
# @Date : 27/12/2013            #<br />
# @Patch : 3.0.1                #<br />
#################################<br />
<br />
Bugfix:<br />
- LDAP: les utilisateurs ayant un UAC de 512 sont gérés (/core/ldap.php)<br />
- Mail: Charset par défaut est UTF-8 (/core/mail.php , /core/message.php)<br />
- Affichage: désactivation automatique du mode de compatibilité du navigateur Internet explorer (./index.php)<br />
- Affichage: colonne fixe pour les actions dans la liste des utilisateur dans administration (./admin/user.php)<br />
- Statistique: sur la courbe des ticket il n'y plus qu'une seul fois le jour. (./stat.php)<br />
- Nouveau Ticket: un message d'erreur SQL s'affiche (./thread.php)<br />
<br />
<br />
#################################################################################<br />
# @Name : GestSup Release Notes                                                 #<br />
# @Date : 26/12/2013                                                            #<br />
# @Version : 3.0.0                                                              #<br />
#################################################################################<br />
<br />
<br />
Notice:<br />
- Merci de sélectionner votre canal de mise à jour  dans administration, mise à jour.<br />
- Pour les utilisateurs de CentOS, vous devez modifier votre fichier de configuration apache et définir l'encodage à "AddDefaultCharset UTF8"<br />
<br />
Update:<br />
- Interface graphique<br />
- Admin / listes: la gestion des catégories est simplifié<br />
- Admin / droits: gestion de nouveaux droits<br />
- Mise à jour: Gestion de deux canaux stable et bêta<br />
- Mise à jour: l'installation automatique des patchs et intégré<br />
- L'encodage des fichiers passe en UTF-8<br />
<br />
Bugfix:<br />
- Liste tickets: l'ordre de trie défini dans les paramètres n'est pas pris en compte sur les états en cours...<br />
- Liste tickets: Le tri des tickets ne fonctionne pas sur la section en cours<br />
- Liste tickets: lors du passage sur une autre page le nom de la catégorie sélectionnée n'était plus affichée.<br />
- ticket: les utilisateurs ne pouvaient pas indiquer le lieu dans la création de ticket.<br />
- ticket: sur les nouveaux tickets le technicien n'était pas conservé en cas de changement<br />
- Recherche: les tickets n'ayant pas de résolution son intégré dans les recherches<br />
- mails: le message invalid address n'apparait plus quand le champ adresse en copie est vide<br />
- LDAP: la synchronisation des caractères spéciaux est géré<br />
- LDAP: les utilisateurs issus des synchronisations ne peuvent plus se connecter avec un mot de passe vide<br />
- LDAP: ré-encodage UTF-8 des informations récupérées dans l'annuaire LDAP<br />
- LDAP AD: Gestion de la désactivation de l'utilisateur invité, et des comptes possédant aucune expiration de mot de passe.<br />
